POST api/badgereaderapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

BadgeReaderViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

name

string

String length: inclusive between 0 and 100

pc_id

globally unique identifier

None.

com_port

integer

None.

baudrate

integer

None.

direction

string

Required

String length: inclusive between 0 and 3

has_correspondence

boolean

Required

active

boolean

Required

badge_reader_type_id

globally unique identifier

None.

site_id

globally unique identifier

None.

parity

integer

Required

data_bits

integer

Required

stop_bits

integer

Required

handshake

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "f5e51772-97a9-4934-8483-ddc73e15f049",
  "name": "sample string 2",
  "pc_id": "df4c1eef-06fa-45b1-beb5-fbc4430a5179",
  "com_port": 1,
  "baudrate": 1,
  "direction": "sample string 3",
  "has_correspondence": true,
  "active": true,
  "badge_reader_type_id": "8ebf146d-7360-4450-9463-351774d1f0da",
  "site_id": "764649be-9e90-4bdd-b03d-5cd4f34833d7",
  "parity": 6,
  "data_bits": 7,
  "stop_bits": 8,
  "handshake": 9
}

application/xml, text/xml

Sample:
<badgereader xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <badge_reader_type_id>8ebf146d-7360-4450-9463-351774d1f0da</badge_reader_type_id>
  <baudrate>1</baudrate>
  <com_port>1</com_port>
  <data_bits>7</data_bits>
  <direction>sample string 3</direction>
  <handshake>9</handshake>
  <has_correspondence>true</has_correspondence>
  <id>f5e51772-97a9-4934-8483-ddc73e15f049</id>
  <name>sample string 2</name>
  <parity>6</parity>
  <pc_id>df4c1eef-06fa-45b1-beb5-fbc4430a5179</pc_id>
  <site_id>764649be-9e90-4bdd-b03d-5cd4f34833d7</site_id>
  <stop_bits>8</stop_bits>
</badgereader>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"8f6e1c55-5fdd-46cc-8d4a-c89cfc763ee9"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">8f6e1c55-5fdd-46cc-8d4a-c89cfc763ee9</guid>